#include <cassert>
#include <cstdio>
#include <iostream>
#include <string>

using namespace std;

const int maxn = 20;

int n, m;
string s[maxn];

int main() {
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    cin >> n >> m;
    assert(1 <= n && n <= maxn);
    assert(1 <= m && m <= maxn);
    for (int i = 0; i < n; i++) {
        cin >> s[i];
        assert(s[i].length() == m);
        for (int j = 0; j < m; j++) {
            assert(s[i][j] == '.' || s[i][j] == '#' || s[i][j] == '*');
            if (s[i][j] == '#') {
                assert(i > 0);
                assert(s[i-1][j] != '#');
            }
            if (i > 0 && s[i-1][j] == '*') {
                assert(s[i][j] == '#');
            }
        }
        s[i] += ".";
    }

    int ans = 0;
    for (int i = 1; i < n; i++) {
        bool has_mushrooms = false;
        for (int j = 0; j <= m; j++) {
            if (s[i][j] == '#') {
                if (s[i-1][j] == '*') {
                    has_mushrooms = true;
                }
            } else {
                if (has_mushrooms) {
                    ans++;
                }
                has_mushrooms = false;
            }
        }
    }
    cout << ans << endl;
}
